summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/typeof_raw_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/sets/typeof_raw_0')
-rwxr-xr-xtests/shell/testcases/sets/typeof_raw_017
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/typeof_raw_0 b/tests/shell/testcases/sets/typeof_raw_0
new file mode 100755
index 00000000..66042eb4
--- /dev/null
+++ b/tests/shell/testcases/sets/typeof_raw_0
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+EXPECTED="table inet t {
+ set y {
+ typeof ip daddr . @ih,32,32
+ elements = { 1.1.1.1 . 0x14, 2.2.2.2 . 0x20}
+ }
+
+ chain y {
+ ip saddr . @nh,32,32 { 1.1.1.1 . 0x14, 2.2.2.2 . 0x1e }
+ ip daddr . @nh,32,32 @y
+ }
+}"
+
+set -e
+$NFT -f - <<< $EXPECTED
+